Bug 75687 - Running standard RH 8.0 kernel-2.4.18-14 on ASUS P4T-E motherboard. dmesg reports "Floppy drive(s): fd0 is 1.44M floppy0: no floppy controllers found" Can access floppy using kernel rebuilt with floppy as a module.
Running standard RH 8.0 kernel-2.4.18-14 on ASUS P4T-E motherboard. dmesg rep...
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2002-10-10 22:35 EDT by Michael Kearey
Modified: 2007-04-18 12:47 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-03-07 00:37:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Output of dmidecode for my ASUS P4T-E motherboard (8.02 KB, text/plain)
2002-10-10 22:36 EDT, Michael Kearey
no flags Details

  None (edit)
Description Michael Kearey 2002-10-10 22:35:17 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
Bug referenced here:
has been closed. However problem persists for me using Redhat 8.0. 

Note that I have not attempted to use "Kickstart" with a floppy so I don't know
if this works. But once standard installation is completed,  demsg outputs -
Floppy drive(s): fd0 is 1.44M
floppy0: no floppy controllers found

and the floppy drive is not useable. I have rebuilt a kernel to use floppy as a
module and floppy functions correctly. I have also tried additional tips
described in the above link, with no success. 

Am running the latest BIOS from ASUS (1007) for P4T-E.

Version-Release number of selected component (if applicable):kernel-2.4.18-14

How reproducible:

Steps to Reproduce:
1. Install Redhat 8.0 on my ASUS P4T-E
2. Boot computer
3. Insert floppy disk, "mount /mnt/floppy", dmesg |less to see message that
floppy controller is not found

Actual Results:  mount /mnt/floppy
mount: can't find /mnt/floppy in /etc/fstab or /etc/mtab
dmesg |less output (extract):
Floppy drive(s): fd0 is 1.44M
floppy0: no floppy controllers found

Floppy drive not accessible

Expected Results:  mount /mnt/floppy    ->  Silence, indicating no errors, and
successful mount

Additional info:
Comment 1 Michael Kearey 2002-10-10 22:36:36 EDT
Created attachment 79884 [details]
Output of dmidecode for my ASUS P4T-E motherboard
Comment 2 Peter Ward 2003-02-13 01:39:37 EST
I have identical issue - RH 8.0, P4T-E, floppy controller not found, even though
it was recognised during install - I created a boot disk
Comment 3 Need Real Name 2003-03-04 22:54:42 EST
The same happens with me; note, SuSE does the same, but Mandrake will work (even
though you have to get oss for the built in sound mobo's)!  Reason unknown...
Comment 4 Michael Kearey 2003-03-07 00:37:07 EST
The new kernel-2.4.18-26.8.0  *appears* to resolve the problem.
I am happy now that I can run the out of box RH kernel and access floppy drive
Comment 5 Need Real Name 2003-03-09 15:21:14 EST
oh?  I just upgraded my kernel in hopes of it working, but I still have no
floppy support.  Sure you didn't do anything special?

mount /dev/fd0 /mnt/floppy
mount: /dev/fd0 is not a valid block device

(P4T-E Socket 478 P4 Motherboard; Intel 850 Chipset)
Comment 6 Michael Kearey 2003-03-09 15:46:42 EST
Definately "WORKSFORME". Although I did get the "mount: /dev/fd0 is not a valid
block device" error once, changed to a known good floppy, and it was ok. 

Note the original problem is that kernel would not recognise or find a floppy
controller. ie you would be getting "floppy0: no floppy controllers found" line
in dmesg. Also, instead of "mount: /dev/fd0 is not a valid block device" you
would be getting "mount: can't find /mnt/floppy in /etc/fstab or /etc/mtab" - as
if there is no floppy drive at all.

I suspect that you have a bad floppy disk. Try changing to a known good one, or
format the floppy again.

Current Kernel: 
uname -a
Linux XXXXXXXX 2.4.18-26.8.0 #1 Mon Feb 24 10:21:42 EST 2003 i686 i686 i386

dmidecode is as per attachement of original bug post.

mount /mnt/floppy/
/dev/hda2 on / type ext3 (rw)
none on /proc type proc (rw)
usbdevfs on /proc/bus/usb type usbdevfs (rw)
/dev/hda1 on /boot type ext3 (rw)
none on /dev/pts type devpts (rw,gid=5,mode=620)
none on /dev/shm type tmpfs (rw)
/dev/fd0 on /mnt/floppy type vfat (rw,nosuid,nodev)

ls /mnt/floppy/
boot.msg     initrd.img   options.msg  rescue.msg  splash.lss    syslinux.png
general.msg  ldlinux.sys  param.msg    snake.msg   syslinux.cfg  vmlinuz

It works ...

Note You need to log in before you can comment on or make changes to this bug.